> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get imported cluster add-on security posture



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/clusters/imported/{cluster_id}/addons/{addon_name}/security
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/clusters/imported/{cluster_id}/addons/{addon_name}/security:
    get:
      tags:
        - Security
      summary: Get imported cluster add-on security posture
      operationId: get_imported_cluster_addon_security
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            type: string
        - in: path
          name: addon_name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityAddonSecurityResponse'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Business validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Cluster is not in the active organization
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    SecurityAddonSecurityResponse:
      properties:
        accepted_risk:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        acknowledged:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        actionable:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        addon_name:
          type: string
        addon_resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
        addon_slug:
          anyOf:
            - type: string
            - type: 'null'
        affected_images:
          type: integer
        affected_workloads:
          type: integer
        attribution:
          $ref: '#/components/schemas/SecurityAttributionSummary'
        chart_name:
          anyOf:
            - type: string
            - type: 'null'
        cluster_id:
          format: uuid
          type: string
        fixable_severe:
          type: integer
        last_scan:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        namespace:
          anyOf:
            - type: string
            - type: 'null'
        observed:
          $ref: '#/components/schemas/SecuritySeverityCounts'
        release_name:
          anyOf:
            - type: string
            - type: 'null'
        scanner:
          $ref: '#/components/schemas/SecurityScannerSummary'
        status:
          enum:
            - connected
            - degraded
            - stale
            - installed_no_reports
            - not_installed
          type: string
        top_actionable_findings:
          items:
            $ref: '#/components/schemas/SecurityRemediationCandidate'
          type: array
      required:
        - status
        - cluster_id
        - addon_name
        - addon_resource_id
        - release_name
        - namespace
        - chart_name
        - addon_slug
        - scanner
        - attribution
        - observed
        - actionable
        - acknowledged
        - accepted_risk
        - fixable_severe
        - affected_images
        - affected_workloads
        - top_actionable_findings
        - last_scan
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecuritySeverityCounts:
      properties:
        critical:
          type: integer
        high:
          type: integer
        low:
          type: integer
        medium:
          type: integer
        unknown:
          type: integer
      required:
        - critical
        - high
        - medium
        - low
        - unknown
      type: object
    SecurityAttributionSummary:
      properties:
        ambiguous:
          type: integer
        matched:
          type: integer
        partial:
          type: boolean
        status:
          enum:
            - matched
            - unmatched
            - ambiguous
          type: string
        unmatched:
          type: integer
      required:
        - status
        - matched
        - unmatched
        - ambiguous
        - partial
      type: object
    SecurityScannerSummary:
      properties:
        fresh_clusters:
          type: integer
        last_scan:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        stale_after_seconds:
          type: integer
        stale_clusters:
          type: integer
        status:
          enum:
            - fresh
            - degraded
            - stale
            - unscanned
          type: string
        unscanned_clusters:
          type: integer
      required:
        - status
        - last_scan
        - fresh_clusters
        - stale_clusters
        - unscanned_clusters
        - stale_after_seconds
      type: object
    SecurityRemediationCandidate:
      properties:
        actionable_count:
          type: integer
        affected_clusters:
          type: integer
        affected_workloads:
          type: integer
        cve_id:
          type: string
        finding_id:
          format: uuid
          type: string
        fixable_occurrences:
          type: integer
        last_seen_at:
          format: date-time
          type: string
        package_name:
          type: string
        package_type:
          type: string
        severity:
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - finding_id
        - cve_id
        - package_type
        - package_name
        - severity
        - title
        - actionable_count
        - affected_clusters
        - affected_workloads
        - fixable_occurrences
        - last_seen_at
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````